<?php
$hostname = '{imap.gmail.com:993/imap/ssl}INBOX'; 
$username = 'watolye@gmail.com';
$password = '6967198666'; 
$inbox = imap_open($hostname,$username,$password) or die('Cannot connect to Gmail: ' . imap_last_error());
print_r(imap_errors());
/*
$hostname   = '{imap.gmail.com:993/imap/ssl/novalidate-cert}';
//$hostname = '{imap.gmail.com:993/imap/ssl}INBOX';
$username = 'watolye@gmail.com';
$password = 'xxx';
$inbox = imap_open($hostname,$username,$password) or die('Cannot connect to Gmail: ' . imap_last_error());
$emails = imap_search($inbox,'ALL');
if($emails) {
	$output = '';	
	rsort($emails);
	foreach($emails as $email_number) {
		$overview = imap_fetch_overview($inbox,$email_number,0);
		$message = imap_fetchbody($inbox,$email_number,2);
		
		$output.= '<div class="toggler '.($overview[0]->seen ? 'read' : 'unread').'">';
		$output.= '<span class="subject">'.$overview[0]->subject.'</span> ';
		$output.= '<span class="from">'.$overview[0]->from.'</span>';
		$output.= '<span class="date">on '.$overview[0]->date.'</span>';
		$output.= '</div>';		
		$output.= '<div class="body">'.$message.'</div>';
	}	
	echo $output;
} 
imap_close($inbox);
*/
?>